/*
 * $Id: progressInfo.hxx,v 4.0 2003/04/28 14:39:59 hut66au Exp $
 *
 * Imview, the portable image analysis application
 * http://www.cmis.csiro.au/Hugues.Talbot/imview
 * ----------------------------------------------------------
 *
 *  Imview is an attempt to provide an image display application
 *  suitable for professional image analysis. It was started in
 *  1997 and is mostly the result of the efforts of Hugues Talbot,
 *  Image Analysis Project, CSIRO Mathematical and Information
 *  Sciences, with help from others (see the CREDITS files for
 *  more information)
 *
 *  Imview is Copyrighted (C) 1997-2001 by Hugues Talbot and was
 *  supported in parts by the Australian Commonwealth Science and 
 *  Industry Research Organisation. Please see the COPYRIGHT file 
 *  for full details. Imview also includes the contributions of 
 *  many others. Please see the CREDITS file for full details.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 * */

/*------------------------------------------------------------------------
 *
 * A simple progress slider panel
 *
 * Hugues Talbot	16 Mar 2000
 *      
 *-----------------------------------------------------------------------*/

#ifndef PROGRESSINFO_H
#define PROGRESSINFO_H

#include <FL/Fl.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Window.H>

class progress {
public:
    progress();
    void setDefaults();
    void setProgress(double v);
    bool visible();
    void show();
    void hide();
    friend Fl_Window *progress_panel(progress &p);
private:
    Fl_Window           *progressWindow;
    Fl_Slider           *progressSlider;
};

#endif // PROGRESSINFO_H
